Update persona

Partially update the persona configuration. Only the fields provided in the request body are updated; omitted fields retain their existing values. Fields that are not part of the public persona schema are rejected.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
personalitylist of stringsOptional
emoji_usagebooleanOptional
allowed_emojisstringOptional
default_timezonestringOptional
company_descriptionstring or nullOptional
community_guidelines_urlstring or nullOptional
message_lengthenumOptional
ask_for_more_helpbooleanOptional
no_customer_pibooleanOptional
no_competitorsbooleanOptional
competitor_namesstring or nullOptional
enable_acknowledgment_messagesbooleanOptional

Response

OK
personalitylist of strings
emoji_usageboolean
allowed_emojisstring
default_timezonestring
message_lengthenum
ask_for_more_helpboolean
no_customer_piboolean
no_competitorsboolean
enable_acknowledgment_messagesboolean
company_descriptionstring or null
community_guidelines_urlstring or null
competitor_namesstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error